Subject: [core-updates-frozen] "multiple definition of..." build failures
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Sat, 28 Aug 2021 14:23:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

GCC 10 changed the default behavior when encountering multiple
definitions of a global (often an enum) [0].  This causes error messages
like [1]:

--8<---------------cut here---------------start------------->8---
  ld: a.o:(.bss+0x0): multiple definition of `a'; main.o:(.data+0x0): first defined here
--8<---------------cut here---------------end--------------->8---

Gentoo's tracker for this issue [2] also has some more info.  I manually
searched Cuirass build logs and found 28 packages failing on x86_64 with
this error:

[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]

I submitted an issue upstream for transmission-remote-gtk [3], but I
haven't taken a look at the others.  Any takers?

[0] https://gcc.gnu.org/gcc-10/porting_to.html
[1] https://wiki.gentoo.org/wiki/Project:Toolchain/Gcc_10_porting_notes/fno_common
[2] https://bugs.gentoo.org/705764
[3] https://github.com/transmission-remote-gtk/transmission-remote-gtk/issues/122

--
Sarah